# (tmb) temp disable doc
%define build_doc 0

Summary: Convenience library for kernel netlink sockets
Group:	 System/Libraries
License: LGPLv2
Name:	 libnl3
Version: 3.2.17
Release: %mkrel 3
URL:	 http://www.infradead.org/~tgr/libnl/
Source:  http://www.infradead.org/~tgr/libnl/files/libnl-%{version}.tar.gz
# (blino) backport from 3.2.18
# http://git.infradead.org/users/tgr/libnl.git/commit/ba38f3919835c39d7bc1e939ef3ca89cfe31600d
Patch0:  libnl-3.2.17-cache-include-callback-crash.patch
BuildRequires: doxygen
BuildRequires: xmlstarlet
BuildRequires: flex bison
BuildRequires: texlive texlive-texmf
BuildRequires: graphviz
BuildRequires: python
BuildRequires: asciidoc
BuildRequires: source-highlight

%description
This package contains a convenience library to simplify
using the Linux kernel's netlink sockets interface for
network manipulation

%package devel
Summary: Libraries and headers for using libnl3
Group: System/Libraries
Requires: %{name} = %{version}-%{release}
Requires: %{name}-cli = %{version}-%{release}
Requires: kernel-headers

%description devel
This package contains various headers for using libnl3

%package cli
Summary: Command line interface utils for libnl3
Group: System/Libraries
Requires: %{name} = %{version}-%{release}

%description cli
This package contains various libnl3 utils and additional
libraries on which they depend

%if %build_doc
%package doc
Summary: API documentation for libnl3
Group: System/Libraries
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
This package contains libnl3 API documentation
%endif

%prep
%setup -q -n libnl-%{version}
%apply_patches

%build
%configure2_5x --disable-static
%make
%if %build_doc
pushd doc
    # docs aren't parallel-make safe
    make gendoc
popd
%endif

%install
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name \*.la -delete

%files
%doc COPYING
%exclude %{_libdir}/libnl-cli*.so.*
%{_libdir}/libnl-*.so.*
%config(noreplace) %{_sysconfdir}/*

%files devel
%doc COPYING
%{_includedir}/libnl3/netlink/
%dir %{_includedir}/libnl3/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files cli
%doc COPYING
%{_libdir}/libnl-cli*.so.*
%{_libdir}/libnl/
%{_sbindir}/*
%{_mandir}/man8/* 

%if %build_doc
%files doc
%doc COPYING
%doc doc/*.html
%doc doc/*.css
%doc doc/stylesheets/*
%doc doc/images/*
%doc doc/images/icons/*
%doc doc/images/icons/callouts/*
%doc doc/api/*
%endif


%changelog

* Sun May 12 2013 blino <blino> 3.2.17-3.mga3
+ Revision: 413022
- fix crash when user callback is not set (like with NetworkManager, #9734)

* Sat Jan 12 2013 umeabot <umeabot> 3.2.17-2.mga3
+ Revision: 357875
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 tmb <tmb> 3.2.17-1.mga3
+ Revision: 339600
- update to 3.2.17

* Sat Nov 24 2012 luigiwalser <luigiwalser> 3.2.14-1.mga3
+ Revision: 321668
- 3.2.14

  + fwang <fwang>
    - set doc as noarch

* Thu Oct 18 2012 fwang <fwang> 3.2.13-1.mga3
+ Revision: 307853
- new version 3.2.13

* Mon Aug 27 2012 tmb <tmb> 3.2.11-1.mga3
+ Revision: 284508
- update to 3.2.11

* Wed Mar 07 2012 tmb <tmb> 3.2.7-1.mga2
+ Revision: 220929
- fix groups
- disable docs for now (broken build)
- fix Group and BR
- spec cleanup
- import from fedora


* Fri Feb 10 2012 Dan Williams <dcbw@redhat.com> - 3.2.7-1
- Update to 3.2.7

* Tue Jan 17 2012 Jiri Pirko <jpirko@redhat.com> - 3.2.6-1
- Initial build
